Bug 114009 - Underline become not consistent in vertical layout
Summary: Underline become not consistent in vertical layout
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Vertical-Text
  Show dependency treegraph
 
Reported: 2017-11-23 13:30 UTC by Volga
Modified: 2020-12-18 17:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file (10.53 KB, application/vnd.oasis.opendocument.text)
2017-11-23 13:32 UTC, Volga
Details
Sample PDF (10.75 KB, application/pdf)
2017-11-23 13:39 UTC, Volga
Details
Snapshot (94.97 KB, image/png)
2017-11-23 13:40 UTC, Volga
Details
underlining and vertical text very wrong (12.85 KB, application/vnd.oasis.opendocument.text)
2018-12-15 18:28 UTC, Xavier Van Wijmeersch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volga 2017-11-23 13:30:40 UTC
Description:
When I switch to vertical layout, underline become not consistent for text including CJK and Western scripts. Strikethrough does not been affected.

Steps to Reproduce:
1. Insert -> Frame -> Frame Interactively
2. Input 測試abg測試 into frame
3. Click Underline button on the toolbar
4. Select the who font, then set font face as Source Han Serif SC
5. Copy & paste the frame
6. Right click the second frame, then click "Properties"
7. Click "Options" tab at Options dialog, then set Text direction as Right-to-Left (Vertical)

Actual Results:  
In the second frame, underline become not consistent, but inserting spaces will making it disapeared. See my snapshot and PDF ("printed" by PDFCreator).

Expected Results:
Underline should keep its consistency for text including CJK and Western scripts.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.0.0.0.alpha1+ (x64)
Build ID: a0ebba3d8855fee0bcec04a10137ae3a4f9f0e77
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-11-22_05:59:17
Locale: zh-CN (zh_CN); Calc: group threaded


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Volga 2017-11-23 13:32:47 UTC
Created attachment 137942 [details]
Test file
Comment 2 Volga 2017-11-23 13:39:42 UTC
Created attachment 137943 [details]
Sample PDF

This is a PDF file generated by PDFCreator, because LibreOffice has a bug affect embedding CFF fonts (bug 107056).
Comment 3 Volga 2017-11-23 13:40:16 UTC
Created attachment 137944 [details]
Snapshot
Comment 4 Buovjaga 2017-11-24 17:09:12 UTC
Confirmed by opening attachment 137942 [details]

Arch Linux 64-bit
Version: 6.0.0.0.alpha1+
Build ID: 008673c23db0c812eb0b48a1c29ab88b48aaa867
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on November 23rd 2017
Comment 5 QA Administrators 2018-12-15 03:56:12 UTC Comment hidden (obsolete)
Comment 6 Xavier Van Wijmeersch 2018-12-15 18:26:43 UTC
can still reproduce but even worse

Version: 6.3.0.0.alpha0+
Build ID: b052974a6574e4074794ffa590fe60f7c1726768
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 7 Xavier Van Wijmeersch 2018-12-15 18:28:16 UTC
Created attachment 147583 [details]
underlining and vertical text very wrong
Comment 8 QA Administrators 2020-12-15 03:45:31 UTC
Dear Volga,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug